Bug 258654 - graphics/bmeps: Update to 4.31.1
Summary: graphics/bmeps: Update to 4.31.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://sourceforge.net/p/dktools/wik...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-21 07:12 UTC by takefu
Modified: 2021-09-24 06:47 UTC (History)
1 user (show)

See Also:


Attachments
bmpp-4.31.1.patch (1.17 KB, patch)
2021-09-21 07:12 UTC, takefu
takefu: maintainer-approval+
Details | Diff
small formating fixes: bmpp-4.31.1.diff (1.44 KB, patch)
2021-09-21 08:54 UTC, Nuno Teixeira
no flags Details | Diff
remove gmake dependency, update to 4.31.1 (1.57 KB, patch)
2021-09-22 07:49 UTC, Nuno Teixeira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2021-09-21 07:12:50 UTC
Created attachment 228082 [details]
bmpp-4.31.1.patch
Comment 1 Nuno Teixeira freebsd_committer 2021-09-21 08:54:00 UTC
Created attachment 228088 [details]
small formating fixes: bmpp-4.31.1.diff

Hello,

Just a few small formatting fixes:

1. CONFIGURE_ENV alphabetical order:
---
+CONFIGURE_ENV= ac_cv_header_db_h=no \
+               ac_cv_header_sys_termios_h=no
-CONFIGURE_ENV= ac_cv_header_sys_termios_h=no\
-               ac_cv_header_db_h=no
---

2. Order PLIST_FILES in separated lines:
---
+PLIST_FILES=   bin/bmpp \
+               man/man1/bmpp.1.gz
-PLIST_FILES=   bin/bmpp man/man1/bmpp.1.gz
---

What do you think? If you agree, please set maintainner-approval in this diff
Comment 2 takefu 2021-09-21 09:10:55 UTC
Comment on attachment 228082 [details]
bmpp-4.31.1.patch

approval :-)
Comment 3 Nuno Teixeira freebsd_committer 2021-09-21 09:46:24 UTC
(In reply to takefu from comment #2)
You approved original patch, my question is if you approve the sample diff that I sent so you can see the small formating fixes:  small formating fixes: bmpp-4.31.1.diff
Comment 4 takefu 2021-09-21 22:31:31 UTC
Comment on attachment 228088 [details]
small formating fixes: bmpp-4.31.1.diff

approval

I misunderstood that I approved this file. :-D
Comment 5 Nuno Teixeira freebsd_committer 2021-09-22 07:49:49 UTC
Created attachment 228117 [details]
remove gmake dependency, update to 4.31.1

Hello,

I've run some tests without gmake dependency and port compiles ok on all suported versions and CURRENT on amd64 and i386 archs.
In all jails logs shows:
---
===>  Configuring for bmpp-4.31.1
(...)
checking for make... make
checking for gmake... no
(...)
---
You can take a look at full logs at:
https://people.freebsd.org/~eduardo/logs/bmpp-4.31.1/

Could you do a runtest with this patch?
Please give your aproval if this is ok so I can commit it.

Cheers
Comment 6 takefu 2021-09-23 17:20:49 UTC
Comment on attachment 228117 [details]
remove gmake dependency, update to 4.31.1

approval
Comment 7 commit-hook freebsd_committer 2021-09-24 06:45:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=34167d7d65ec2a878d93fe434c4625f1274ce124

commit 34167d7d65ec2a878d93fe434c4625f1274ce124
Author:     Takefu <takefu@airport.fm>
AuthorDate: 2021-09-24 06:41:35 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-09-24 06:41:35 +0000

    graphics/bmeps: Update to 4.31.1

    - Remove devel/gmake build dependency since port builds fine without it
    - Pet portfmt (alphabical order fixes and PLIST_FILES list formating)

    ChangeLog: https://sourceforge.net/p/dktools/wiki/change%20log/

    PR:             258654

 graphics/bmeps/Makefile | 14 ++++++++------
 graphics/bmeps/distinfo |  6 +++---
 2 files changed, 11 insertions(+), 9 deletions(-)
Comment 8 Nuno Teixeira freebsd_committer 2021-09-24 06:47:02 UTC
Committed thanks!